Bug 996118 - blivet.reset() opens LUKS devices
blivet.reset() opens LUKS devices
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-12 08:51 EDT by Jan Synacek
Modified: 2013-11-06 14:53 EST (History)
5 users (show)

See Also:
Fixed In Version: python-blivet-0.20-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-06 14:53:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Reproducer (371 bytes, text/plain)
2013-08-12 08:51 EDT, Jan Synacek
no flags Details

  None (edit)
Description Jan Synacek 2013-08-12 08:51:09 EDT
Created attachment 785679 [details]

Description of problem:
blivet.reset() opens LUKS devices. In OpenLMI, this behavior is not acceptable. After I create a LUKS device, I'm expecting the device to be created (if there was not an error) and not opened.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. choose a partition (e.g. /dev/vda12)
2. wipefs -a /dev/vda12 (careful here!!)
3. run the reproducer
4. ls /dev/mapper
5. observe an opened LUKS device in the device mapper

Actual results:
LUKS device is opened.

Expected results:
LUKS device is not opened.
Comment 1 David Lehman 2013-08-13 11:46:05 EDT
I don't see how blivet could possibly open that luks device. What is the filename in /dev/mapper/?

It would be helpful if you could use the code from examples/list_devices.py to set up logging so you could attach /tmp/blivet.log to these bug reports.
Comment 2 David Lehman 2013-08-13 11:48:26 EDT
Now I can see how blivet is getting the passphrase. I'll make that code only run in installer mode.
Comment 3 Fedora End Of Life 2013-09-16 12:53:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.